#include <stdint.h>
#include <endian.h>

typedef uint8_t TDatOSIdent[4];
typedef uint8_t TDatGlobalIdent[16];
#define Integer int

 struct THeader {
   TDatOSIdent OSIdent;
    TDatGlobalIdent GlobalIdent;
    Integer Files;
    Integer NamedFiles;
    Integer Extensions;
    Integer DataAddr;
    Integer DataSize;
    Integer NamesAddr;
    Integer NamesSize;
   uint8_t Ident2[16];
  };
 typedef struct TFilesMap {
    char Extension[4];
    Integer DataAddr;
    Integer NameAddr;
    Integer FileSize;
   long FileType;
  }TFilesMap;
 typedef struct TNamedFilesMap {
     Integer FileNumber;
     Integer blubb;
  }TNamedFilesMap;

 typedef uint8_t TTypeIdent[8];

  typedef struct TExtensionsMap {
   TTypeIdent   Ident       ;
     char  Extension[4];
    Integer  ExtCount    ;
  }TExtensionsMap;

 typedef struct TFileInfo {
    Integer  ID;
     char * Name;
      char Extension[4];
      Integer Size;
      long FileType;
      Integer DatAddr;
}TFileInfo;
//TFiles = array of TFileInfo;
